1 min read

It's been a long time since I logged something here. Part of the reason is that a lot of my daily logging has now moved to logseq.

I recently upgraded the Python 3 version to 3.9 on my Ubuntu 20.04 WSL and started getting a bunch of errors with python3 venv's.

It turns out I needed to reinstall python3-apt package after removing everything. Then I got errors installing pyodbc as the wheel couldn't be built. This required installing python3.9-dev package.

Since I was on a roll, I reinstalled python3-pip and python3-venv packages as well just for good measure.